| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Public Attributes | List of all members
Digikam::BorderContainer Class Reference

## Public Types
enum | BorderTypes { SolidBorder = 0 , NiepceBorder , BeveledBorder , PineBorder , WoodBorder , PaperBorder , ParqueBorder , IceBorder , LeafBorder , MarbleBorder , RainBorder , CratersBorder , DriedBorder , PinkBorder , StoneBorder , ChalkBorder , GraniteBorder , RockBorder , WallBorder }

## Static Public Member Functions
static QString | getBorderPath (int border)

## Public Attributes
QColor | bevelLowerRightColor = QColor(128, 128, 128)
QColor | bevelUpperLeftColor = QColor(192, 192, 192)
QString | borderPath
double | borderPercent = 0.1
int | borderType = 0
int | borderWidth1 = 0
int | borderWidth2 = 0
int | borderWidth3 = 0
int | borderWidth4 = 0
QColor | decorativeFirstColor = QColor(0, 0, 0)
QColor | decorativeSecondColor = QColor(0, 0, 0)
QColor | niepceBorderColor = QColor(255, 255, 255)
QColor | niepceLineColor = QColor(0, 0, 0)
int | orgHeight = 0
int | orgWidth = 0
bool | preserveAspectRatio = true
QColor | solidColor = QColor(0, 0, 0)